#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libgweather-4.4.4

- Next

  libshumate-1.3.2

- Up
- Home

# libpeas-1.36.0

## Introduction to libpeas

libpeas is a GObject based plugins engine, and is targeted at giving every application the chance to assume its own extensibility.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libpeas/1.36/libpeas-1.36.0.tar.xz

- Download MD5 sum: b3dd31a79c47af0cbf22f2d6bf52bc7d

- Download size: 192 KB

- Estimated disk space required: 10 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libpeas Dependencies

#### Required

GLib-2.82.5 (with GObject Introspection) and GTK-3.24.48

#### Recommended

libxml2-2.13.6 and PyGObject-3.50.0

#### Optional

Gi-DocGen-2025.3, Glade, embed, LGI (for LUA bindings, built with LUA-5.1), with either luajit-20250212 or LUA-5.1

## Installation of libpeas

Install libpeas by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr          \
                --buildtype=release    \
                --wrap-mode=nofallback \
                ..                     &&
    ninja

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed "/docs_dir =/s@\$@/ 'libpeas-1.36.0'@" \
        -i ../docs/reference/meson.build       &&
    meson configure -D gtk_doc=true            &&
    ninja

To test the results, issue: ninja test. An active graphical session with bus address is necessary to run the tests.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nofallback`: This switch prevents meson from using subproject fallbacks for any dependency declarations in the build files, preventing it from downloading any optional dependencies which are not installed on the system.

`-D vapi=true`: Add this switch if you wish to generate vapi (vala) data.

`-D demos=false`: Add this switch if you do not wish to build the demo programs.

## Contents

Installed Program: peas-demo
Installed Libraries: libpeas-1.0.so and libpeas-gtk-1.0.so
Installed Directories: /usr/include/libpeas-1.0, /usr/lib/libpeas-1.0, /usr/lib/peas-demo and /usr/share/gtk-doc/html/libpeas (optional)

### Short Descriptions

peas-demo | is the Peas demo program
`libpeas-1.0.so` | contains the libpeas API functions
`libpeas-gtk-1.0.so` | contains the libpeas GTK+ widgets

- Prev

  libgweather-4.4.4

- Next

  libshumate-1.3.2

- Up
- Home